## akonadi-contacts 25.08.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.1")

project(Akonadi-Contact VERSION ${PIM_VERSION})

# ECM setup

set(KF_MIN_VERSION "6.14.0")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(ECMSetupVersion)
file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
    serializers/*.cpp
    serializers/*.h
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMCheckOutboundLicense)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
    serializers/*.cpp
    serializers/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

include(ECMAddQch)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

set(AKONADI_CONTACTS_VERSION ${PIM_VERSION})
set(KMIMELIB_VERSION "6.5.1")
set(AKONADI_VERSION "6.5.1")
set(GRANTLEETHEME_LIB_VERSION "6.5.1")
set(KTEXTADDONS_MIN_VERSION "1.6.0")

set(QT_REQUIRED_VERSION "6.8.0")
find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED
        Widgets
        Test
)
########### Find packages ###########
find_package(KF6GuiAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CoreAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Completion ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Service ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Prison ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ColorScheme ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim6Mime ${KMIMELIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)

find_package(KPim6GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)

find_package(KF6TextTemplate CONFIG REQUIRED)

find_package(KF6TextUtils ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

############### Compilers flags ###############

if(MSVC)
    # This sets the __cplusplus macro to a real value based on the version of C++ specified by
    # the /std switch. Without it MSVC keeps reporting C++98, so feature detection doesn't work.
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /Zc:__cplusplus")
endif()

########### Targets ###########

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()
option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

add_subdirectory(src)
add_subdirectory(serializers)

ecm_qt_install_logging_categories(
        EXPORT AKONADICONTACTS
        FILE akonadi-contacts.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== serializers/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
include(ECMAddTests)

ecm_qt_declare_logging_category(akonadi_serializer_autotest_addressee_SRCS HEADER serializer_debug.h IDENTIFIER AKONADI_SERIALIZER_CONTACT_LOG CATEGORY_NAME org.kde.pim.contact_serializer)

ecm_add_test(addresseeserializertest.cpp ../akonadi_serializer_addressee.cpp ${akonadi_serializer_autotest_addressee_SRCS}
	LINK_LIBRARIES KPim6::AkonadiCore KPim6::AkonadiContactCore KF6::Contacts KF6::I18n Qt::Core Qt::Test
    TEST_NAME addresseeserializertest
)

=== src/akonadi-contacts-core/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADICONTACTCORE
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-contact_core_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiContactCoreConfigVersion.cmake"
    SOVERSION 6
)

add_library(KPim6AkonadiContactCore)
add_library(KPim6::AkonadiContactCore ALIAS KPim6AkonadiContactCore)
########### next target ###############

target_sources(
    KPim6AkonadiContactCore
    PRIVATE
        attributes/contactmetadataattribute.cpp
        attributes/attributeregistrar.cpp
)

target_sources(
    KPim6AkonadiContactCore
    PRIVATE
        job/contactgroupexpandjob.cpp
        job/contactgroupsearchjob.cpp
        job/contactsearchjob.cpp
)

target_sources(
    KPim6AkonadiContactCore
    PRIVATE
        grantlee/contactgrantleewrapper.cpp
        grantlee/grantleecontactformatter.cpp
        grantlee/grantleecontactgroupformatter.cpp
        grantlee/grantleeprint.cpp
)

target_sources(
    KPim6AkonadiContactCore
    PRIVATE
        abstractcontactformatter.cpp
        abstractcontactgroupformatter.cpp
        collectionfiltermodel.cpp
        contactcompletionmodel.cpp
        contactgroupmodel.cpp
        contactparts.cpp
        contactsfilterproxymodel.cpp
        contactstreemodel.cpp
        emailaddressselection.cpp
        emailaddressselectionproxymodel.cpp
        emailaddressselectionmodel.cpp
        leafextensionproxymodel.cpp
        standardcontactformatter.cpp
        standardcontactgroupformatter.cpp
        emailaddressselectionproxymodel_p.h
        job/contactgroupsearchjob.h
        job/contactsearchjob.h
        job/contactgroupexpandjob.h
        contactgroupmodel_p.h
        abstractcontactgroupformatter.h
        contactstreemodel.h
        emailaddressselectionmodel.h
        grantlee/grantleecontactgroupformatter.h
        grantlee/grantleeprint.h
        grantlee/contactgrantleewrapper.h
        grantlee/grantleecontactformatter.h
        emailaddressselection.h
        emailaddressselection_p.h
        collectionfiltermodel_p.h
        abstractcontactformatter.h
        contactsfilterproxymodel.h
        standardcontactgroupformatter.h
        standardcontactformatter.h
        contactcompletionmodel_p.h
        leafextensionproxymodel_p.h
        contactparts.h
        attributes/contactmetadataattribute_p.h
)

ecm_qt_declare_logging_category(KPim6AkonadiContactCore HEADER akonadi_contact_debug.h IDENTIFIER AKONADICONTACT_LOG CATEGORY_NAME org.kde.pim.akonadicontact
        DESCRIPTION "akonadicontact (pim lib)"
        OLD_CATEGORY_NAMES log_akonadi_contact
        EXPORT AKONADICONTACTS
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_source_files_properties(
        grantlee/contactgrantleewrapper.cpp
        grantlee/grantleecontactformatter.cpp
        grantlee/grantleecontactgroupformatter.cpp
        grantlee/grantleeprint.cpp
        PROPERTIES
            SKIP_UNITY_BUILD_INCLUSION
                ON
    )
    set_target_properties(
        KPim6AkonadiContactCore
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
generate_export_header(KPim6AkonadiContactCore BASE_NAME akonadi-contact-core)

target_include_directories(
    KPim6AkonadiContactCore
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiContactCore>"
)
target_include_directories(
    KPim6AkonadiContactCore
    PUBLIC
        "$<BUILD_INTERFACE:${Akonadi-Contact_SOURCE_DIR}/src;${Akonadi-Contact_BINARY_DIR}/src>"
)

target_link_libraries(
    KPim6AkonadiContactCore
    PUBLIC
        KPim6::AkonadiCore
        KF6::Contacts
        KPim6::GrantleeTheme
    PRIVATE
        KF6::ConfigCore
        KF6::IconThemes
        KF6::GuiAddons
        KF6::I18n
        KPim6::Mime
        KF6::TextUtils
)
set_target_properties(
    KPim6AkonadiContactCore
    PROPERTIES
        VERSION
            ${AKONADICONTACTCORE_VERSION}
        SOVERSION
            ${AKONADICONTACTCORE_SOVERSION}
        EXPORT_NAME
            AkonadiContactCore
)

install(TARGETS KPim6AkonadiContactCore EXPORT KPim6AkonadiContactCoreTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(AkonadiContactCoreJob_CamelCase_HEADERS
    HEADER_NAMES
    ContactGroupExpandJob
    ContactGroupSearchJob
    ContactSearchJob
    REQUIRED_HEADERS AkonadiContactCoreJob_HEADERS
    PREFIX Akonadi
    RELATIVE job
)

ecm_generate_headers(AkonadiContactCore_CamelCase_HEADERS
    HEADER_NAMES
    AbstractContactFormatter
    AbstractContactGroupFormatter
    ContactsFilterProxyModel
    ContactsTreeModel
    ContactParts

    EmailAddressSelection
    EmailAddressSelectionModel
    StandardContactFormatter
    StandardContactGroupFormatter

    REQUIRED_HEADERS AkonadiContactCore_HEADERS
    PREFIX Akonadi
)

ecm_generate_headers(AkonadiContactCoreGrantlee_CamelCase_HEADERS
    HEADER_NAMES
    ContactGrantleeWrapper
    GrantleeContactFormatter
    GrantleeContactGroupFormatter
    GrantleePrint

    REQUIRED_HEADERS AkonadiContactCoreGrantlee_HEADERS
    RELATIVE grantlee
    PREFIX Akonadi
)

install(
    FILES
        ${AkonadiContactCore_CamelCase_HEADERS}
        ${AkonadiContactCoreJob_CamelCase_HEADERS}
        ${AkonadiContactCoreGrantlee_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiContactCore/Akonadi
    COMPONENT Devel
)

install(
    FILES
        ${AkonadiContactCore_HEADERS}
        ${AkonadiContactCoreJob_HEADERS}
        ${AkonadiContactCoreGrantlee_HEADERS}
        ${CMAKE_CURRENT_BINARY_DIR}/akonadi-contact-core_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiContactCore/akonadi
    COMPONENT Devel
)

if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

if(BUILD_QCH)
    ecm_add_qch(
        KPim6AkonadiContactCore_QCH
        NAME KPim6AkonadiContactCore
        BASE_NAME KPim6AkonadiContactCore
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${AkonadiContactCore_HEADERS}
        ${AkonadiContactCoreJob_HEADERS}
        ${AkonadiContactCoreGrantlee_HEADERS}
        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt6Core_QCH
            Qt6Gui_QCH
            Qt6Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            AKONADI_CONTACT_CORE_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6AkonadiContactCore")
if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6AkonadiContactCore_QCH
        FILE KPim6AkonadiContactCoreQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6AkonadiContactCoreQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimAkonadiContactCoreConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiContactCoreConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)
install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiContactCoreConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiContactCoreConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6AkonadiContactCoreTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6AkonadiContactCoreTargets.cmake
    NAMESPACE KPim6::
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/akonadi-contact_core_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiContactCore
    COMPONENT Devel
)

=== src/akonadi-contacts-widgets/editor/addresseditor/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
include(ECMMarkAsTest)

#ecm_qt_declare_logging_category(contacteditor_addresslocation_web_editor_SRCS HEADER addresslocationeditorplugin_debug.h IDENTIFIER
#    ADDRESSLOCATIONEDITORPLUGIN_LOG CATEGORY_NAME org.kde.pim.addresslocationeditorplugin)

set(addresslocationwidget_SRCS
    addresslocationwidgettest.cpp
    addresslocationwidgettest.h
    ../addresslocationwidget.cpp
    ../selectaddresstypecombobox.cpp
    ../addresstypedialog.cpp
)
add_executable(addresslocationwidget ${addresslocationwidget_SRCS})
add_test(NAME addresslocationwidget COMMAND addresslocationwidget)
ecm_mark_as_test(addresslocationwidget)
target_link_libraries(
    addresslocationwidget
    Qt::Test
    Qt::Widgets
    KPim6::AkonadiContactWidgets
    KF6::Contacts
    KF6::I18n
    KF6::Completion
    KF6::WidgetsAddons
    KF6::I18nLocaleData
)

=== src/akonadi-contacts-widgets/editor/generalinfoeditor/tests/CMakeLists.txt ===
set(generalinfoeditor_SRCS
    main.cpp
    ../generalinfowidget.cpp
    ../../widgets/kwidgetlister.cpp
    ../web/webwidgetlister.cpp
    ../web/weblistwidget.cpp
    ../web/webwidget.cpp
    ../mail/maillistwidget.cpp
    ../mail/mailwidgetlister.cpp
    ../messaging/messaginglistwidget.cpp
    ../messaging/messagingwidgetlister.cpp
    ../../widgets/imagewidget.cpp
    ../namewidget.cpp
    ../../utils/utils.cpp
    ../categorieseditwidget.cpp
    ../nameeditdialog.cpp
    ../../widgets/preferredlineeditwidget.cpp
    ../displaynameeditwidget.cpp
)

add_executable(generalinfoeditortest ${generalinfoeditor_SRCS})

target_link_libraries(
    generalinfoeditortest
    Qt::Widgets
    KPim6::AkonadiContactWidgets
    KF6::Contacts
    KF6::I18n
    KF6::Completion
    KF6::IconThemes
    KF6::WidgetsAddons
    KF6::KIOCore
    KPim6::AkonadiWidgets
)

=== debian/changelog ===
akonadi-contacts (4:25.08.1-0zneon+24.04+noble+release+build34) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 22:25:12 +0000

akonadi-contacts (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:11:46 +0000

akonadi-contacts (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 12:45:22 +0000

akonadi-contacts (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:28:05 +0000

akonadi-contacts (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:42:55 +0000

akonadi-contacts (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:34:11 +0000

akonadi-contacts (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:23:59 +0000

akonadi-contacts (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 13:43:18 +0000

akonadi-contacts (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 14:49:59 +0000

akonadi-contacts (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:41:14 +0000

akonadi-contacts (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:39:06 +0000

akonadi-contacts (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:38:49 +0000

akonadi-contacts (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:10:41 +0000

akonadi-contacts (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 07:48:59 +0000

akonadi-contacts (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:03:27 +0000

akonadi-contacts (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:38:39 +0000

akonadi-contacts (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:06:54 +0000

akonadi-contacts (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 03:52:35 +0000

akonadi-contacts (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 14:48:42 +0000

akonadi-contacts (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:30:32 +0000

akonadi-contacts (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Nov 2023 15:39:40 +0000

akonadi-contacts (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:07:22 +0000

akonadi-contacts (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 12:43:26 +0000

akonadi-contacts (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:37:37 +0000

akonadi-contacts (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 05:18:48 +0000

akonadi-contacts (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 12:50:18 +0000

akonadi-contacts (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:19:09 +0000

akonadi-contacts (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 15:56:21 +0000

akonadi-contacts (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:04:26 +0000

akonadi-contacts (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:23:57 +0000

akonadi-contacts (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 17:58:07 +0000

akonadi-contacts (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:26:28 +0000

akonadi-contacts (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:14:31 +0000

akonadi-contacts (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:36:15 +0000

akonadi-contacts (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:33:14 +0000

akonadi-contacts (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:45:27 +0000

akonadi-contacts (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:04:10 +0000

akonadi-contacts (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 10:57:21 +0000

akonadi-contacts (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:09:46 +0000

akonadi-contacts (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 11:33:00 +0000

akonadi-contacts (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:30:11 +0000

akonadi-contacts (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:26:16 +0000

akonadi-contacts (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:46:26 +0000

akonadi-contacts (4:21.04.2-0neon) focal; urgency=medium

  * New release



=== debian/control ===
Source: akonadi-contacts
Section: libs
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcodecs-dev,
               kf6-kcolorscheme-dev,
               kf6-kcompletion-dev,
               kf6-kcontacts-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-ktextaddons-dev,
               kf6-ktexttemplate-dev,
               kf6-ktextwidgets-dev,
               kf6-prison-dev,
               kpim6-akonadi-dev,
               kpim6-akonadi-mime-dev,
               kpim6-grantleetheme-dev,
               kpim6-kmime-dev,
               kpim6-libkleo-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-base-doc,
               reuse,
               xauth,
               xvfb
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/akonadi-contacts.git
Vcs-Browser: https://invent.kde.org/neon/kde/akonadi-contacts
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-akonadi-contacts
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libkpim6akonadicontact6abi1
Replaces: akonadi-contacts-data,
          libkf5akonadicontact-data,
          libkf5akonadicontact5,
          libkf5akonadicontact5abi1,
          libkf5contacteditor-data,
          libkf5contacteditor5,
          libkpim5akonadicontact-data,
          libkpim5akonadicontact-plugins,
          libkpim5akonadicontact5,
          libkpim5akonadicontact5abi1,
          libkpim5contacteditor-data,
          libkpim5contacteditor5
Breaks: libkpim5akonadicontact-data (<< 4:24.08.2)
Description: Akonadi contacts access library - data files
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the data files.

Package: kpim6-akonadi-contacts-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kf6-kcolorscheme-dev,
         kf6-kcontacts-dev,
         kf6-ktexttemplate-dev,
         kpim6-akonadi-contacts (= ${binary:Version}),
         kpim6-akonadi-dev,
         kpim6-grantleetheme-dev,
         ${misc:Depends}
Replaces: libkf5akonadicontact-dev,
          libkf5contacteditor-dev,
          libkpim5akonadicontact-dev,
          libkpim5contacteditor-dev
Description: Akonadi contacts access library - development files
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

Package: akonadi-contacts-data
Architecture: all
Depends: kpim6-akonadi-contacts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadicontact-dev
Architecture: all
Depends: kpim6-akonadi-contacts-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadicontact-plugins
Architecture: all
Depends: kpim6-akonadi-contacts-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadicontact5
Architecture: all
Depends: kpim6-akonadi-contacts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5contacteditor-data
Architecture: all
Depends: kpim6-akonadi-contacts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5contacteditor-dev
Architecture: all
Depends: kpim6-akonadi-contacts-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5contacteditor5
Architecture: all
Depends: kpim6-akonadi-contacts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadicontact5abi1
Architecture: all
Depends: kpim6-akonadi-contacts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadicontact-data
Architecture: all
Depends: kpim6-akonadi-contacts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadicontact-dev
Architecture: all
Depends: kpim6-akonadi-contacts-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadicontact5
Architecture: all
Depends: kpim6-akonadi-contacts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadicontact5abi1
Architecture: all
Depends: kpim6-akonadi-contacts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadicontact-data
Architecture: all
Depends: kpim6-akonadi-contacts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5contacteditor-dev
Architecture: all
Depends: kpim6-akonadi-contacts-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5contacteditor5
Architecture: all
Depends: kpim6-akonadi-contacts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5contacteditor-data
Architecture: all
Depends: kpim6-akonadi-contacts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT=ON \
		-DBUILD_QCH=ON

## akonadi-contacts 25.08.1+p24.04+vstable+git20250914.1704

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.1")
+set(PIM_VERSION "6.5.2")
 
 project(Akonadi-Contact VERSION ${PIM_VERSION})

=== debian/changelog ===
akonadi-contacts (4:25.08.1+p24.04+vstable+git20250914.1704-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 17:04:18 +0000

## akonadi-contacts 25.08.1+p24.04+vstable+git20250916.0341

=== debian/changelog ===
akonadi-contacts (4:25.08.1+p24.04+vstable+git20250916.0341-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 03:41:31 +0000

## akonadi-contacts 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -67,9 +67,9 @@
 )
 
 set(AKONADI_CONTACTS_VERSION ${PIM_VERSION})
-set(KMIMELIB_VERSION "6.5.1")
-set(AKONADI_VERSION "6.5.1")
-set(GRANTLEETHEME_LIB_VERSION "6.5.1")
+set(KMIMELIB_VERSION "6.5.2")
+set(AKONADI_VERSION "6.5.2")
+set(GRANTLEETHEME_LIB_VERSION "6.5.2")
 set(KTEXTADDONS_MIN_VERSION "1.6.0")
 
 set(QT_REQUIRED_VERSION "6.8.0")

=== src/akonadi-contacts-core/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
include(ECMMarkAsTest)
include(ECMAddTests)

# convenience macro to add akonadi demo application
macro(add_akonadi_contact_demo _source)
    set(_test ${_source})
    get_filename_component(_name ${_source} NAME_WE)
    add_executable(
        ${_name}
        ${_test}
        ${_name}.h
    )
    add_test(NAME ${_name} COMMAND ${_name})
    target_link_libraries(
        ${_name}
        KPim6::AkonadiContactCore
        Qt::Test
    )
    ecm_mark_as_test(${_name})
endmacro()

########### next target ###############

add_akonadi_contact_demo(contactmetadataattributetest.cpp)

ecm_add_test(grantleeprinttest.cpp
    LINK_LIBRARIES KPim6::AkonadiContactCore Qt::Test KF6::Contacts
)

=== src/akonadi-contacts-core/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
include(ECMMarkAsTest)

# convenience macro to add akonadi demo application
macro(add_akonadi_contact_demo _source)
    set(_test ${_source})
    get_filename_component(_name ${_source} NAME_WE)
    add_executable(${_name} ${_test})
    target_link_libraries(
        ${_name}
        KPim6::AkonadiContactCore
        Qt::Widgets
        Qt::Test
    )
    ecm_mark_as_test(${_name})
endmacro()

########### next target ###############

add_akonadi_contact_demo(emailaddressselectionmodeltest.cpp)

=== src/akonadi-contacts-widgets/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
include(ECMMarkAsTest)

# convenience macro to add akonadi demo application
macro(add_akonadi_contact_demo _source)
    set(_test ${_source})
    get_filename_component(_name ${_source} NAME_WE)
    add_executable(${_name} ${_test})
    target_link_libraries(
        ${_name}
        KPim6::AkonadiContactCore
        KF6::Completion
        KF6::I18n
        KF6::WidgetsAddons
        KPim6::AkonadiContactWidgets
        Qt::Test
    )
    ecm_mark_as_test(${_name})
endmacro()

########### next target ###############

add_akonadi_contact_demo(emailaddressselectionwidgettest.cpp emailaddressselectionwidgettest.h)
add_akonadi_contact_demo(emailaddressselectiondialogtest.cpp)

=== debian/changelog ===
akonadi-contacts (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:36:24 +0100

akonadi-contacts (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:03:43 +0100

=== debian/control ===
Source: akonadi-contacts
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.08.2~),
               libgrantleetheme-dev (>= 25.08.2~),
               libgrantleetheme-plugins (>= 25.08.2~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6completion-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6prison-dev (>= 6.6.0~),
               libkf6service-dev (>= 6.6.0~),
               libkf6texttemplate-dev (>= 6.3.0~),
               libkf6textwidgets-dev (>= 6.6.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkmime-dev (>= 25.08.2~),
               libktextaddons-dev (>= 1.5.4~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/akonadi-contacts
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-contacts
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-contacts
Rules-Requires-Root: no

Package: akonadi-contacts-data
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Akonadi contacts access library - data files
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the data files.

Package: libakonadicontact-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libakonadi-dev (>= 4:25.08.2~),
         libgrantleetheme-dev (>= 25.08.2~),
         libkf6contacts-dev (>= 6.6.0~),
         libkpim6akonadicontactcore6 (= ${binary:Version}),
         libkpim6akonadicontactwidgets6 (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Description: Akonadi contacts access library - development files
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

Package: libkpim6akonadicontactcore6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: akonadi-contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi contacts access library - core library
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkpim6akonadicontactwidgets6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: akonadi-contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi contact access library - widgets library
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

## akonadi-contacts 25.08.2+p24.04+vstable+git20251015.1828

=== debian/changelog ===
akonadi-contacts (4:25.08.2+p24.04+vstable+git20251015.1828-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 18:28:53 +0000

akonadi-contacts (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 09:11:46 +0000

## akonadi-contacts 25.08.2+p24.04+vstable+git20251019.0637

=== debian/changelog ===
akonadi-contacts (4:25.08.2+p24.04+vstable+git20251019.0637-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:37:24 +0000

## akonadi-contacts 25.08.2+p24.04+vstable+git20251023.0025

=== debian/changelog ===
akonadi-contacts (4:25.08.2+p24.04+vstable+git20251023.0025-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 23 Oct 2025 00:25:17 +0000

## akonadi-contacts 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.2")
+set(PIM_VERSION "6.5.3")
 
 project(Akonadi-Contact VERSION ${PIM_VERSION})
 
@@ -67,9 +67,9 @@
 )
 
 set(AKONADI_CONTACTS_VERSION ${PIM_VERSION})
-set(KMIMELIB_VERSION "6.5.2")
-set(AKONADI_VERSION "6.5.2")
-set(GRANTLEETHEME_LIB_VERSION "6.5.2")
+set(KMIMELIB_VERSION "6.5.3")
+set(AKONADI_VERSION "6.5.3")
+set(GRANTLEETHEME_LIB_VERSION "6.5.3")
 set(KTEXTADDONS_MIN_VERSION "1.6.0")
 
 set(QT_REQUIRED_VERSION "6.8.0")

=== serializers/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"akonadicontact6-serializer\")

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

add_library(akonadi_serializer_addressee MODULE)
target_sources(
    akonadi_serializer_addressee
    PRIVATE
        akonadi_serializer_addressee.cpp
        akonadi_serializer_addressee.h
)

ecm_qt_declare_logging_category(akonadi_serializer_addressee HEADER serializer_debug.h IDENTIFIER AKONADI_SERIALIZER_CONTACT_LOG CATEGORY_NAME org.kde.pim.contact_serializer
	DESCRIPTION "akonadi contact (serializer contact plugin)"
        EXPORT AKONADICONTACTS
)

target_link_libraries(
    akonadi_serializer_addressee
    KF6::Contacts
    KPim6::AkonadiCore
    KF6::I18n
)
install(TARGETS akonadi_serializer_addressee DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES akonadi_serializer_addressee.desktop DESTINATION ${KDE_INSTALL_DATADIR}/akonadi/plugins/serializer)

##################################

add_library(akonadi_serializer_contactgroup MODULE)
target_sources(
    akonadi_serializer_contactgroup
    PRIVATE
        akonadi_serializer_contactgroup.cpp
        akonadi_serializer_contactgroup.h
)
target_link_libraries(
    akonadi_serializer_contactgroup
    KF6::Contacts
    KPim6::AkonadiCore
    KF6::I18n
    KPim6::AkonadiContactCore
)
install(TARGETS akonadi_serializer_contactgroup DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES akonadi_serializer_contactgroup.desktop DESTINATION ${KDE_INSTALL_DATADIR}/akonadi/plugins/serializer)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"akonadicontact6\")
add_subdirectory(akonadi-contacts-core)
add_subdirectory(akonadi-contacts-widgets)

=== src/akonadi-contacts-widgets/editor/customfieldeditor/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
set(customfieldswidgettest_SRCS
    customfieldswidgettest.cpp
    customfieldswidgettest.h
    ../customfieldswidget.cpp
    ../customfieldeditorwidget.cpp
    ../customfieldslistwidget.cpp
    ../customfieldsmodel.cpp
    ../customfieldslistdelegate.cpp
    ../../utils/utils.cpp
)
add_executable(customfieldswidgettest ${customfieldswidgettest_SRCS})
add_test(NAME customfieldswidgettest COMMAND customfieldswidgettest)
ecm_mark_as_test(customfieldswidgettest)
target_link_libraries(
    customfieldswidgettest
    Qt::Test
    Qt::Widgets
    KPim6::AkonadiContactWidgets
    KF6::Contacts
    KF6::I18n
    KF6::Completion
    KF6::ConfigCore
    KF6::WidgetsAddons
)

add_executable(
    customfieldeditorwidgettest
    customfieldeditorwidgettest.cpp
    customfieldeditorwidgettest.h
    ../customfieldeditorwidget.cpp
)
add_test(NAME customfieldeditorwidgettest COMMAND customfieldeditorwidgettest)
ecm_mark_as_test(customfieldeditorwidgettest)
target_link_libraries(
    customfieldeditorwidgettest
    Qt::Test
    Qt::Widgets
    KPim6::AkonadiContactWidgets
    KF6::Contacts
    KF6::I18n
    KF6::Completion
    KF6::WidgetsAddons
)

add_executable(customfieldslistwidgettest)
target_sources(
    customfieldslistwidgettest
    PRIVATE
        customfieldslistwidgettest.cpp
        customfieldslistwidgettest.h
        ../customfieldslistwidget.cpp
        ../customfieldsmodel.cpp
        ../customfieldslistdelegate.cpp
        ../../utils/utils.cpp
)
add_test(NAME customfieldslistwidgettest COMMAND customfieldslistwidgettest)
ecm_mark_as_test(customfieldslistwidgettest)
target_link_libraries(
    customfieldslistwidgettest
    Qt::Test
    Qt::Widgets
    KPim6::AkonadiContactWidgets
    KF6::Contacts
    KF6::I18n
    KF6::Completion
    KF6::ConfigCore
    KF6::WidgetsAddons
)

=== debian/changelog ===
akonadi-contacts (4:25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:23:51 +0100

=== debian/control ===
Source: akonadi-contacts
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libakonadi-dev (>= 4:25.08.3~),
               libgrantleetheme-dev (>= 25.08.3~),
               libgrantleetheme-plugins,
               libkf6codecs-dev (>= 6.14.0~),
               libkf6colorscheme-dev (>= 6.14.0~),
               libkf6completion-dev (>= 6.14.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6contacts-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6guiaddons-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6iconthemes-dev (>= 6.14.0~),
               libkf6kcmutils-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6prison-dev (>= 6.14.0~),
               libkf6service-dev (>= 6.14.0~),
               libkf6texttemplate-dev (>= 6.3.0~),
               libkf6textwidgets-dev (>= 6.14.0~),
               libkf6widgetsaddons-dev (>= 6.14.0~),
               libkf6xmlgui-dev (>= 6.14.0~),
               libkmime-dev (>= 25.08.3~),
               libktextaddons-dev (>= 1.6.0~),
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               xauth,
               xvfb,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/akonadi-contacts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-contacts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-contacts.git
Rules-Requires-Root: no

Package: akonadi-contacts-data
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Akonadi contacts access library - data files
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the data files.

Package: libakonadicontact-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libakonadi-dev (>= 4:25.08.3~),
         libgrantleetheme-dev (>= 25.08.3~),
         libkf6contacts-dev (>= 6.14.0~),
         libkpim6akonadicontactcore6 (= ${binary:Version}),
         libkpim6akonadicontactwidgets6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Description: Akonadi contacts access library - development files
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

Package: libkpim6akonadicontactcore6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: akonadi-contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi contacts access library - core library
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkpim6akonadicontactwidgets6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: akonadi-contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi contact access library - widgets library
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

## akonadi-contacts 25.08.3+p24.04+vunstable+git20251208.0345

=== debian/changelog ===
akonadi-contacts (4:25.08.3+p24.04+vunstable+git20251208.0345-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 03:45:34 +0000

akonadi-contacts (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:38:45 +1000
